org.apache.ignite.internal.visor.query

## Class VisorQueryDetailMetricsCollectorTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<VisorQueryDetailMetricsCollectorTaskArg,Collection<VisorQueryDetailMetrics>,Collection<? extends QueryDetailMetrics>>
  - - org.apache.ignite.internal.visor.query.VisorQueryDetailMetricsCollectorTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorQueryDetailMetricsCollectorTaskArg>,Collection<VisorQueryDetailMetrics>>

    @GridInternal
    public class VisorQueryDetailMetricsCollectorTask
    extends VisorMultiNodeTask<VisorQueryDetailMetricsCollectorTaskArg,Collection<VisorQueryDetailMetrics>,Collection<? extends QueryDetailMetrics>>

Task to collect cache query metrics.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorQueryDetailMetricsCollectorTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.ignite.internal.visor.query.VisorQueryDetailMetricsCollectorTask.VisorCacheQueryDetailMetricsCollectorJob` `job(VisorQueryDetailMetricsCollectorTaskArg arg)`
`protected Collection<VisorQueryDetailMetrics>` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorQueryDetailMetricsCollectorTask

    public VisorQueryDetailMetricsCollectorTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.query.VisorQueryDetailMetricsCollectorTask.VisorCacheQueryDetailMetricsCollectorJob job(VisorQueryDetailMetricsCollectorTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorQueryDetailMetricsCollectorTaskArg,Collection<VisorQueryDetailMetrics>,Collection<? extends QueryDetailMetrics>>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected Collection<VisorQueryDetailMetrics> reduce0(List<ComputeJobResult> results)
                                                             throws IgniteException

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<VisorQueryDetailMetricsCollectorTaskArg,Collection<VisorQueryDetailMetrics>,Collection<? extends QueryDetailMetrics>>`
Parameters:
  `results` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018